package com.landray.kmss.sys.attachment.model;

import org.slf4j.LoggerFactory;
import org.slf4j.Logger;
import com.landray.kmss.sys.appconfig.model.BaseAppConfig;

public class SysAttPlayLogConfig extends BaseAppConfig
{
    private static final Logger logger;
    
    static {
        logger = LoggerFactory.getLogger(SysAttPlayLogConfig.class);
    }
    
    public SysAttPlayLogConfig() throws Exception {
    }
    
    public String getValue(final String name) {
        return this.getDataMap().get(name);
    }
    
    public String getJSPUrl() {
        return "/sys/attachment/sys_att_play_log/config.jsp";
    }
    
    public static SysAttPlayLogConfig newInstance() {
        SysAttPlayLogConfig config = null;
        try {
            config = new SysAttPlayLogConfig();
        }
        catch (final Exception e) {
            SysAttPlayLogConfig.logger.error(e.toString());
        }
        return config;
    }
}
